/* CooKoo for Coca Puffs v1.1 
** This is a very simple script that uses Play16 to play a cookoo
** clock sample at a given amount of loops according to what hour it is.
** Please note the variable "hourprotect". This can be toggled on or off.
** Its purpose is to prevent this program from actually triggering the
** sample if it is NOT at the top of the hour. Its default is OFF.
**
** 07-16-97 v1.1 Will now trigger with a single cookoo on the half hour
** provided that the 'hourprotect' variable is 'OFF'.
*/


	play16path 		= 'c:'
	hourprotect 	= OFF					/* ON or OFF */
	time			= left(time(), 5)		/* 22:00 */
	hour 			= left(time, 2)
	minutes 		= right(time, 2)


	if (hourprotect = ON) & (minutes ~= 00) then exit

	if hour = 00 then hour = 12
	if minutes = 30 then hour = 1
	if (hour > 12) | (hour = 00) then do
		if hour = 13 then hour = 1
		if hour = 14 then hour = 2
		if hour = 15 then hour = 3
		if hour = 16 then hour = 4 
		if hour = 17 then hour = 5
		if hour = 18 then hour = 6
		if hour = 19 then hour = 7
		if hour = 20 then hour = 8
		if hour = 21 then hour = 9
		if hour = 22 then hour = 10
		if hour = 23 then hour = 11
	end
	
	address command 'run <>NIL:' play16path'play16 ezcron:sounds/CooKooClock L='hour
	exit
